astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- Fermi Queries (`astroquery.fermi`) »
- FermiLATClass

# FermiLATClass

class astroquery.fermi.FermiLATClass

  Bases: `BaseQuery`

  TODO: document

  Attributes Summary

  `TIMEOUT` |
  `request_url` |
  `result_url_re` |

  Methods Summary

  `query_object`(*args, **kwargs) | Queries the service and returns a table object.
  `query_object_async`(*args, **kwargs) | Query the FermiLAT database

  Attributes Documentation

  TIMEOUT = 60
  request_url = 'https://fermi.gsfc.nasa.gov/cgi-bin/ssc/LAT/LATDataQuery.cgi'
  result_url_re = re.compile('The results of your query may be found at <a href="(https://fermi\\.gsfc\\.nasa\\.gov/.*?)"')

  Methods Documentation

  query_object(*args, **kwargs)

    Queries the service and returns a table object.

    Query the FermiLAT database

    Returns:
      table A `Table` object.
  query_object_async(*args, **kwargs)

    Query the FermiLAT database

    Returns:
      url str

        The URL of the page with the results (still need to scrape this page to download the data: easy for wget)